import request from '@/utils/request'

// 查询非居民巡查列表
export function listPipelineGasUser(query) {
  return request({
    url: '/system/pipelineGasUser/list',
    method: 'get',
    params: query
  })
}

// 查询非居民巡查详细
export function getPipelineGasUser(id) {
  return request({
    url: '/system/pipelineGasUser/' + id,
    method: 'get'
  })
}

// 新增非居民巡查
export function addPipelineGasUser(data) {
  return request({
    url: '/system/pipelineGasUser',
    method: 'post',
    data: data
  })
}

// 修改非居民巡查
export function updatePipelineGasUser(data) {
  return request({
    url: '/system/pipelineGasUser',
    method: 'put',
    data: data
  })
}

// 删除非居民巡查
export function delPipelineGasUser(id) {
  return request({
    url: '/system/pipelineGasUser/' + id,
    method: 'delete'
  })
}
